Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlaqps

    java.lang.Object
      org.netlib.lapack.Dlaqps

    public class Dlaqps

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLAQPS computes a step of QR factorization with column pivoting
     *  of a real M-by-N matrix A by using Blas-3.  It tries to factorize
     *  NB columns from A starting from the row OFFSET+1, and updates all
     *  of the matrix with Blas-3 xGEMM.
     *
     *  In some cases, due to catastrophic cancellations, it cannot
     *  factorize NB columns.  Hence, the actual number of factorized
     *  columns is returned in KB.
     *
     *  Block A(1:OFFSET,1:N) is accordingly pivoted, but not factorized.
     *
     *  Arguments
     *  =========
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix A. M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix A. N >= 0
     *
     *  OFFSET  (input) INTEGER
     *          The number of rows of A that have been factorized in
     *          previous steps.
     *
     *  NB      (input) INTEGER
     *          The number of columns to factorize.
     *
     *  KB      (output) INTEGER
     *          The number of columns actually factorized.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
     *          On entry, the M-by-N matrix A.
     *          On exit, block A(OFFSET+1:M,1:KB) is the triangular
     *          factor obtained and block A(1:OFFSET,1:N) has been
     *          accordingly pivoted, but no factorized.
     *          The rest of the matrix, block A(OFFSET+1:M,KB+1:N) has
     *          been updated.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A. LDA >= max(1,M).
     *
     *  JPVT    (input/output) INTEGER array, dimension (N)
     *          JPVT(I) = K <==> Column K of the full matrix A has been
     *          permuted into position I in AP.
     *
     *  TAU     (output) DOUBLE PRECISION array, dimension (KB)
     *          The scalar factors of the elementary reflectors.
     *
     *  VN1     (input/output) DOUBLE PRECISION array, dimension (N)
     *          The vector with the partial column norms.
     *
     *  VN2     (input/output) DOUBLE PRECISION array, dimension (N)
     *          The vector with the exact column norms.
     *
     *  AUXV    (input/output) DOUBLE PRECISION array, dimension (NB)
     *          Auxiliar vector.
     *
     *  F       (input/output) DOUBLE PRECISION array, dimension (LDF,NB)
     *          Matrix F' = L*Y'*A.
     *
     *  LDF     (input) INTEGER
     *          The leading dimension of the array F. LDF >= max(1,N).
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *    G. Quintana-Orti, Depto. de Informatica, Universidad Jaime I, Spain
     *    X. Sun, Computer Science Dept., Duke University, USA
     *
     *  Partial column norm updating strategy modified by
     *    Z. Drmac and Z. Bujanovic, Dept. of Mathematics,
     *    University of Zagreb, Croatia.
     *    June 2006.
     *  For more details see LAPACK Working Note 176.
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dlaqps()`

Method Summary
`static void` | `dlaqps(int m, int n, int offset, int nb, intW kb, double[] a, int _a_offset, int lda, int[] jpvt, int _jpvt_offset, double[] tau, int _tau_offset, double[] vn1, int _vn1_offset, double[] vn2, int _vn2_offset, double[] auxv, int _auxv_offset, double[] f, int _f_offset, int ldf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlaqps

    public Dlaqps()

Method Detail

### dlaqps

    public static void dlaqps(int m,
                              int n,
                              int offset,
                              int nb,
                              intW kb,
                              double[] a,
                              int _a_offset,
                              int lda,
                              int[] jpvt,
                              int _jpvt_offset,
                              double[] tau,
                              int _tau_offset,
                              double[] vn1,
                              int _vn1_offset,
                              double[] vn2,
                              int _vn2_offset,
                              double[] auxv,
                              int _auxv_offset,
                              double[] f,
                              int _f_offset,
                              int ldf)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD